> For the complete documentation index, see [llms.txt](https://docs.coldstack.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coldstack.io/http-api-compatible-with-amazon-s3/api-reference/bucket/putbucketlogging.md).

# PutBucketLogging

Enables and disables the [mechanism for logging actions with the bucket](https://cloud.yandex.com/docs/storage/concepts/server-logs).

### Request

```
PUT /{bucket}?logging HTTP/1.1
```

#### Path parameters

| Parameter | Description         |
| --------- | ------------------- |
| `bucket`  | Name of the bucket. |

#### Query parameters

| Parameter | Description                                              |
| --------- | -------------------------------------------------------- |
| `logging` | Required parameter that indicates the type of operation. |

#### Data schema

**To enable logging of actions with the bucket:**

```
<?xml version="1.0" encoding="UTF-8" ?>
<BucketLoggingStatus xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
   <LoggingEnabled>
      <TargetBucket>bucket-logs</TargetBucket>
      <TargetPrefix>logs/</TargetPrefix>
   </LoggingEnabled>
</BucketLoggingStatus>
```

| Element               | Description                                                                                  |
| --------------------- | -------------------------------------------------------------------------------------------- |
| `BucketLoggingStatus` | Root element.                                                                                |
| `TargetBucket`        | <p>The name of the target bucket where the objects are saved with logs.<br>Type: String.</p> |
| `TargetPrefix`        | <p>Object key prefix with logs.<br>Type: String.</p>                                         |

**To disable logging of actions with the bucket:**

```
<BucketLoggingStatus xmlns="http://doc.s3.amazonaws.com/2006-03-01" />
```

#### Headers

Use only [common request headers](/http-api-compatible-with-amazon-s3/api-reference/common-request-headers.md) in requests.

### Response

#### Headers

Responses can only contain [common response headers](/http-api-compatible-with-amazon-s3/api-reference/common-response-headers.md).

#### Response codes

For a list of possible responses, see [Responses](https://cloud.yandex.com/docs/storage/s3/api-ref/response-codes).

A successful response does not contain any additional data.

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coldstack.io/http-api-compatible-with-amazon-s3/api-reference/bucket/putbucketlogging.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
